Class | Rubygame::Events::ClockTicked
In: | lib/rubygame/events/clock_events.rb
Parent: | Object

ClockTicked is an event returned by Clock#tick, if the Clock has been configured with Clock#enable_tick_events.

ClockTicked stores the time that has passed since the previous tick. You can access that information with seconds or milliseconds. This is useful to calculate how far a character should move during the current frame, for example.

### Methods

milliseconds new seconds

### Public Class methods

new( milliseconds )

Create a new ClockTicked event.

milliseconds: | The time since the last tick, in milliseconds. (Numeric, required)

### Public Instance methods

milliseconds()

Return the time since the last tick, in milliseconds.

seconds()

Return the time since the last tick, in seconds.

[Validate]